Edushade Docs
Learning progress

Process Batch Progress Events (Async)

POST
/user/learning/learning-progress/events/batch
AuthorizationBearer <token>

In: header

eventsarray<object>

Response Body

curl -X POST "https://edushade.com/api/v1/user/learning/learning-progress/events/batch" \
  -H "Content-Type: application/json" \
  -d '{
    "events": [
      {
        "entity_id": "123e4567-e89b-12d3-a456-426614174000",
        "entity_type": "lesson",
        "event": {
          "current_time": 15,
          "duration": 600,
          "end_time": 30,
          "event_type": "play",
          "start_time": 0
        }
      }
    ]
  }'
{}
Empty
Empty
Empty